#pragma once
#include "colorstatic.h"
#include "afxwin.h"
#include "readonlyedit.h"

// CDlg_MainHeatingDetails dialog

class CDlg_MainHeatingDetails : public CDialog
{
	DECLARE_DYNAMIC(CDlg_MainHeatingDetails)

public:
	CDlg_MainHeatingDetails(CWnd* pParent = NULL);   // standard constructor
	virtual ~CDlg_MainHeatingDetails();

// Dialog Data
	enum { IDD = IDD_MAINHEATINGDETAILS };

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support

	virtual BOOL OnInitDialog();
	afx_msg void AddStringsToComboBoxesForMainHeatingDetailedDlg();
	afx_msg void DisplayValuesForMainHeatingDetailedDlg();
	afx_msg void ReadInputsFromMainHeatingDetailedDlg();
	DECLARE_MESSAGE_MAP()
public:
	CColorStatic m_labelWetCentralHt;
	CColorStatic m_labelRangeCooker;
	CColorStatic m_labelSmokeControl;
	CColorStatic m_labelCHP;
	CColorStatic m_labelSecComBoiler;
	CStatic m_labelOilPump;
	CStatic m_labelOilBoiler;
	CStatic m_labelCHPyn;
	CStatic m_labelCHPfuel;
	CStatic m_labelCHPheatFraction;
	CStatic m_labelCHPElecEff;
	CStatic m_labelCHPHeatEff;
	CStatic m_labelPer1;
	CStatic m_labelPer2;
	CStatic m_labelRangeCookerHeatEmm;
	CStatic m_labelRangeCookerHeatTransfer;
	CStatic m_labelRangeCookerHeatEmmkW;
	CStatic m_labelRangeCookerHeatTransferkW;
	CColorStatic m_labelCPSU;
	CComboBox m_comboIsOilPumpInHeatedSpace;
	CComboBox m_comboOilBoilerInstalled;
	CComboBox m_comboSmokeControlArea;
	CComboBox m_comboIsCHPpresent;
	CComboBox m_comboCHPFuel;
	CComboBox m_comboFuel;
	CComboBox m_comboSystem;
	CReadOnlyEdit m_editCPSUopTemp;
	CReadOnlyEdit m_editHtEmmFromCase;
	CReadOnlyEdit m_editHtTransferredToWater;
	CReadOnlyEdit m_editFractOfHtFromCHP;
	CReadOnlyEdit m_editElecEffofCHP;
	CReadOnlyEdit m_editHtEffofCHP;
	CReadOnlyEdit m_editEff;
	CReadOnlyEdit m_editFractofHtFromBoiler2;
	CReadOnlyEdit m_editManufactDesc;
	CString str_comboIsOilPumpInHeatedSpace;
	CString str_comboOilBoilerInstalled;
	CString str_editCPSUopTemp;
	CString str_editHtEmmFromCase;
	CString str_editHtTransferredToWater;
	CString str_comboSmokeControlArea;
	CString str_comboIsCHPpresent;
	CString str_comboCHPFuel;
	CString str_editFractOfHtFromCHP;
	CString str_editElecEffofCHP;
	CString str_editHtEffofCHP;
	CString str_comboFuel;
	CString str_comboSystem;
	CString str_editEff;
	CString str_editFractofHtFromBoiler2;
	CString str_editManufactDesc;
	afx_msg void OnCbnSelchangeComboIsoilpumphtspace();
	afx_msg void OnCbnSelchangeComboisoilboilerinstalled();
	afx_msg void OnEnChangeEditCpsutemp();
	afx_msg void OnEnChangeEditHeatemm();
	afx_msg void OnEnChangeEditHttransfertowater();
	afx_msg void OnCbnSelchangeCombosmokecontrolarea();
	afx_msg void OnCbnSelchangeComboIschppresent();
	afx_msg void OnCbnSelchangeComboChpfuel();
	afx_msg void OnEnChangeEditfractionofheatchp();
	afx_msg void OnEnChangeEditEeofchp();
	afx_msg void OnEnChangeEditHteffofchp();
	afx_msg void OnCbnSelchangeComboFuel();
	afx_msg void OnCbnSelchangeCombosystem();
	afx_msg void OnEnChangeEditefficiency();
	afx_msg void OnEnChangeEditfractofhtfromboiler2();
	afx_msg void OnEnChangeEditManufactdesc();
	virtual BOOL PreTranslateMessage(MSG* pMsg);
};


